#include<bits/stdc++.h>
using namespace std;

typedef long long ll;

int main() {
	int n; cin >> n;
	vector<pair<double, double>> v(n);

	ll sum = 0;
	for (int i = 0; i < n; i++) {
		double a; double b; cin >> a >> b;
		v[i] = make_pair(b, a);
		sum += v[i].second;
	}
	sort(v.begin(), v.end());
	double sol = (sum * v[0].first) / 100.0;
    for (int i = 1; i < n; i++) {
    	sum -= v[i-1].second;
    	if ((sum * v[i].first) / 100.0 > sol) {
    		sol = (sum * v[i].first) / 100.0;
    	}
    }
    cout << std::fixed << sol << "\n";

	return 0;
}